using System.IO;

namespace Crysome.Common.Network.Packets.Server;

public class StartAudioStreamPacket : IPacket
{
	public int DeviceIndex { get; set; }

	public StartAudioStreamPacket()
	{
	}

	public StartAudioStreamPacket(int deviceIndex)
	{
		DeviceIndex = deviceIndex;
	}

	public void Write(BinaryWriter w)
	{
		w.Write(DeviceIndex);
	}

	public void Read(BinaryReader r)
	{
		DeviceIndex = r.ReadInt32();
	}
}
